campaigns.redial
Dial the numbers that were not reached again.
Reference
POST/api/v1/campaigns/{campaign_id}/redial
- Auth
- API key in
X-API-Key - Content
- application/json
- Returns
- 200 · CampaignResponse
Create a new campaign that re-dials unique subscribers from a completed campaign whose latest call resulted in voicemail, no-answer, or busy. The new campaign is created in 'created' state with queued_runs pre-seeded from the parent's original initial contexts. A campaign can be redialed at most once.
Arguments
| Argument | In | Type | Required | Description |
|---|---|---|---|---|
campaign_id | path | integer | required | |
name | body | string | optional | Name for the redial campaign |
retry_on_voicemail | body | boolean | default true | |
retry_on_no_answer | body | boolean | default true | |
retry_on_busy | body | boolean | default true | |
retry_config | body | RetryConfigRequest | optional |
Example request
curl -X POST "https://api.decibyl.ai/api/v1/campaigns/<campaign_id>/redial" \
-H "X-API-Key: dcb_your_key" \
-H "Content-Type: application/json" \
-d '{"name":"string","retry_on_voicemail":true,"retry_on_no_answer":true,"retry_on_busy":true,"retry_config":{"enabled":true,"max_retries":2,"retry_delay_seconds":120,"retry_on_busy":true,"retry_on_no_answer":true,"retry_on_voicemail":true}}'Response
{
"id": 1,
"name": "string",
"workflow_id": 1,
"workflow_name": "string",
"state": "string",
"source_type": "string",
"source_id": "string",
"total_rows": 1,
"processed_rows": 1,
"failed_rows": 1,
"created_at": "2026-09-14T09:30:00Z",
"started_at": "2026-09-14T09:30:00Z",
"completed_at": "2026-09-14T09:30:00Z",
"retry_config": {
"enabled": true,
"max_retries": 1,
"retry_delay_seconds": 1,
"retry_on_busy": true,
"retry_on_no_answer": true,
"retry_on_voicemail": true
},
"max_concurrency": 1,
"schedule_config": {
"enabled": true,
"timezone": "string",
"slots": [
{
"day_of_week": 1,
"start_time": "string",
"end_time": "string"
}
]
},
"circuit_breaker": {
"enabled": false,
"failure_threshold": 0.5,
"window_seconds": 120,
"min_calls_in_window": 5
},
"executed_count": 0,
"total_queued_count": 0,
"parent_campaign_id": 1,
"redialed_campaign_id": 1,
"telephony_configuration_id": 1,
"telephony_configuration_name": "string",
"consent_attested_at": "2026-09-14T09:30:00Z",
"consent_attested_by": 1,
"logs": [
{
"ts": "string",
"level": "string",
"event": "string",
"message": "string",
"details": {}
}
]
}Errors
| Status | When |
|---|---|
404 | Not found |
422 | Validation Error |